Page MenuHomePhabricator

Set up debug parameter for QA of page previews eventlogging
Closed, ResolvedPublic1 Estimate Story Points

Description

Background

In order to debug the EventLogging instrumentation in production environments, we want to be able to bucket ourselves at will.

AC

  • When ?debug=true, the EventLogging instrumentation is enabled.
  • When ?debug=false or not specified, the user is bucketed as usual.
  • This happens regardless of whether the user is logged in/out.

Notes

  1. Developers: Use mw.config.get( 'debug' ).

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterHygiene: i13n: Return false over not sampling
mediawiki/extensions/Popups : masterOverride eventLogging to enabled when debug flag is on

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 26 2017, 11:06 AM
phuedx updated the task description. (Show Details)Jun 26 2017, 11:10 AM
ovasileva triaged this task as High priority.Jun 26 2017, 12:01 PM
Jdlrobson updated the task description. (Show Details)Jun 27 2017, 4:23 PM
Jdlrobson set the point value for this task to 1.
phuedx updated the task description. (Show Details)Jun 27 2017, 4:25 PM
phuedx removed the point value for this task.
phuedx set the point value for this task to 1.

^ Ugh.

pmiazga claimed this task.Jun 30 2017, 4:04 PM

Change 362434 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/Popups@master] Override eventLogging to enabled when debug flag is on

https://gerrit.wikimedia.org/r/362434

Change 362434 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Override eventLogging to enabled when debug flag is on

https://gerrit.wikimedia.org/r/362434

pmiazga removed pmiazga as the assignee of this task.Jul 3 2017, 12:06 PM
pmiazga removed a project: Patch-For-Review.
pmiazga added a subscriber: pmiazga.

Change 362977 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/extensions/Popups@master] Hygiene: i13n: Return false over not sampling

https://gerrit.wikimedia.org/r/362977

rEPOP9303d03ee305: Hygiene: i13n: Return false over not sampling doesn't block signoff. It's just something I noticed during code review that's somewhat related to this task.

phuedx updated the task description. (Show Details)Jul 3 2017, 12:32 PM
phuedx updated the task description. (Show Details)
Jdlrobson closed this task as Resolved.Jul 3 2017, 6:11 PM
Jdlrobson claimed this task.
Jdlrobson added a subscriber: Jdlrobson.

Signing off.
When visiting https://en.wikipedia.beta.wmflabs.org/wiki/Albert_Einstein?debug=true I can see events for page previews. great!

Change 362977 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] Hygiene: i13n: Return false over not sampling

https://gerrit.wikimedia.org/r/362977